/*!
 * @file synchronizeable_uint.h
 * @brief Definition of SynchronizeableInt
*/


#ifndef _SYNCHRONIZEABLE_UINT_H
#define _SYNCHRONIZEABLE_UINT_H

#include "synchronizeable_int.h"

class SynchronizeableUInt : public SynchronizeableInt {

  public:
    SynchronizeableUInt( unsigned int * ptrIn, unsigned int * ptrOut, std::string name, int permission = PERMISSION_MASTER_SERVER, int priority = 0 );
    virtual ~SynchronizeableUInt();

    virtual void debug();

};

#endif /* _PROTO_CLASS_H */
